Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 456385 - Review Request: ptrash - Move file(s) to ~/.trash directory
Summary: Review Request: ptrash - Move file(s) to ~/.trash directory
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Mamoru TASAKA
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
: 450850 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-07-23 09:35 UTC by pjp
Modified: 2014-09-25 00:21 UTC (History)
6 users (show)

Fixed In Version: ptrash-1.0-10.el7
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-09-24 03:49:02 UTC
mtasaka: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description pjp 2008-07-23 09:35:07 UTC
SPEC: http://pjp.dgplug.org/tools/ptrash.spec
SRPM: http://pjp.dgplug.org/tools/ptrash-1.0-1.fc8.src.rpm

Description:
Ptrash moves the named file(s) to the ~/.trash directory. Trash is located
under the home directory of a user. It is a simple console based utility,
I wrote after deleting some files, which I couldn't retrieve back.
Ptrash can also restore file(s) back to there original location. It has really
proved very handy to me.

This is my second Fedora package and am looking for a sponsor for it.

Thank you!

PS: https://bugzilla.redhat.com/show_bug.cgi?id=450850

Comment 1 pjp 2008-07-25 07:05:07 UTC
  Hello all,

Ping...wanted reviewer/sponsor for ptrash.

Thank you!

Comment 2 Patrice Dumas 2008-07-25 10:40:04 UTC
*** Bug 450850 has been marked as a duplicate of this bug. ***

Comment 3 Patrice Dumas 2008-07-25 10:42:48 UTC
I am willinng to have a look at it, but I am very busy for at least one 
week and maybe more, so you shouldn't rely on me.

Comment 4 Mamoru TASAKA 2008-07-30 15:13:06 UTC
Well, this is a simple package:

* spec description good
* builds on koji:
  http://koji.fedoraproject.org/koji/taskinfo?taskID=747811
* can be installed
* seems to work well

--------------------------------------------------------------------------------
             This package (ptrash) is APPROVED by me
--------------------------------------------------------------------------------

Comment 5 pjp 2008-08-05 06:26:22 UTC
Hey thanks! :)

Comment 6 pjp 2008-08-05 12:13:36 UTC
New Package CVS Request
=======================
Package Name: ptrash
Short Description: Move file(s) to ~/.trash directory
Owners: pjp
Branches: F-8 F-9 EL-4 EL-5
InitialCC: pjp
Cvsextras Commits: yes

Comment 7 Kevin Fenzi 2008-08-05 16:40:47 UTC
cvs done.

Comment 8 pjp 2008-08-05 19:33:13 UTC
Hey thanks Kevin. :)

Comment 9 Fedora Update System 2008-08-07 05:04:49 UTC
ptrash-1.0-1.fc8 has been submitted as an update for Fedora 8

Comment 10 Fedora Update System 2008-08-07 05:05:48 UTC
ptrash-1.0-1.fc9 has been submitted as an update for Fedora 9

Comment 11 Mamoru TASAKA 2008-08-07 06:05:33 UTC
Closing.

Comment 12 Fedora Update System 2008-08-12 18:20:44 UTC
ptrash-1.0-1.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 13 Fedora Update System 2008-08-12 18:23:58 UTC
ptrash-1.0-1.fc8 has been pushed to the Fedora 8 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 14 pjp 2014-08-22 17:29:16 UTC
Package Change Request
======================
Package Name: ptrash
New Branches: el5 el6 epel7
Owners: pjp

Comment 15 Gwyn Ciesla 2014-08-22 17:54:46 UTC
Git done (by process-git-requests).

el5 and el6 already exist.

Comment 16 Fedora Update System 2014-09-02 05:36:50 UTC
ptrash-1.0-10.el7 has been submitted as an update for Fedora EPEL 7.
https://admin.fedoraproject.org/updates/ptrash-1.0-10.el7

Comment 17 Fedora Update System 2014-09-02 05:36:56 UTC
ptrash-1.0-3.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/ptrash-1.0-3.el6

Comment 18 Fedora Update System 2014-09-02 21:32:51 UTC
Package ptrash-1.0-10.el7:
* should fix your issue,
* was pushed to the Fedora EPEL 7 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=epel-testing ptrash-1.0-10.el7'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-EPEL-2014-2390/ptrash-1.0-10.el7
then log in and leave karma (feedback).

Comment 19 Fedora Update System 2014-09-24 03:49:02 UTC
ptrash-1.0-3.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 20 Fedora Update System 2014-09-25 00:21:17 UTC
ptrash-1.0-10.el7 has been pushed to the Fedora EPEL 7 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.